Download it now!
Bug 115451 - Sidebar focus becomes hidden on deck change
Summary: Sidebar focus becomes hidden on deck change
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-05 01:07 UTC by Jim Raykowski
Modified: 2018-02-17 23:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-02-05 01:07:58 UTC
Focus does not change when a deck button is clicked in the Sidebar. This causes problems when using the keyboard to navigate the sidebar after using the mouse to select a deck.

Here is an example:

1) Open the Sidebar Navigator deck
2) Click on Headings
3) Press Esc Key
focus rectangle should be around Navigator deck title
4) Press Tab Tab to highlight the Navigation toolbox drop down button
5) Click on the Properties deck button (the wrench button)
6) Press down arrow
Navigation pop up toolbox appears

Two solutions I have implemented are:

 1. set focus to deck title on deck button click (places focus rectangle around title)
 2. set focus on deck button on deck button click (highlights deck button)

I like the focus on deck button myself.
Comment 1 Telesto 2018-02-05 14:37:50 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: ea89dabf8b6363972190a6b50c527c418d51c2c7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-27_22:55:15
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Jim Raykowski 2018-02-05 23:51:22 UTC
Here is a patch that sets the keyboard focus to the deck button when clicked. I like this better than setting the focus to the deck title, which is another option, and I like it a whole lot better than leaving the focus on whatever it was on before the button was clicked. It might be something to consult with the UX team about?

https://gerrit.libreoffice.org/#/c/49262/
Comment 3 Jim Raykowski 2018-02-06 02:28:42 UTC
(In reply to Telesto from comment #1)
> Repro
> Version: 6.1.0.0.alpha0+
> Build ID: ea89dabf8b6363972190a6b50c527c418d51c2c7
> CPU threads: 4; OS: Windows 6.3; UI render: default; 
> TinderBox: Win-x86@42, Branch:master, Time: 2018-01-27_22:55:15
> Locale: nl-NL (nl_NL); Calc: CL

Thank you Telesto for confirming this :)
Comment 4 Commit Notification 2018-02-06 09:56:10 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8605dc1619a2275b52e22a60c4ca0715e7ab07d

tdf#115451 Set focus on sidebar deck button when clicked

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.